%global momorel 5

Summary: A collection of high-quality printer drivers.
Name: gimp-print

%{?include_specopt}
%{!?with_cups:%global with_cups 1}

Version: 4.2.5
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
URL: http://gimp-print.sourceforge.net/

%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 82a75fa7c97423b1a787df41552da3cc

Patch0: gimp-print-4.2.1-no-kitload.patch
Patch1: gimp-print-4.2.5-noplugin.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ijs, ijs-devel
BuildRequires: ncurses-devel, readline-devel
BuildRequires: autoconf
BuildPrereq: foomatic
%if %{with_cups}
BuildRequires: cups-devel
%endif

%global foomatic_db_dir	%{_datadir}/foomatic/db/source

%description
These drivers provide printing quality for UNIX/Linux in many cases equal
to or better than proprietary vendor-supplied drivers, and can be used for
many of the most demanding printing tasks.

%package devel
Summary: Files for developing applications that use gimp-print.
Requires: %{name} = %{version}-%{release}
Group: Development/Libraries

%description devel
The header files, static library, libtool library and man pages for
developing applications that use gimp-print.

%package utils
Summary: Utility programs from gimp-print
Requires: %{name} = %{version}-%{release}
Group: Applications/Publishing

%description utils
This package contains the escputil program.

%package cups
Summary: CUPS support for gimp-print
Requires: %{name} = %{version}-%{release}
Group: Applications/Publishing

%description cups
CUPS support for gimp-print

%prep
%setup -q
%patch0 -p1 -b .no-kitload~
%patch1 -p1 -b .plugin~

autoconf-2.13

%build
%configure --with-foomatic --without-gimp --without-ghost --with-ijs \
%if %{with_cups}
  --with-cups
%else
  --without-cups
%endif
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall cups_prefix=%{buildroot}%{_prefix} \
  cups_exec_prefix=%{buildroot}%{_exec_prefix} \
  cups_bindir=%{buildroot}%{_bindir} \
  cups_conf_datadir=%{buildroot}%{_datadir}/cups \
  cups_conf_serverbin=%{buildroot}%{_libdir}/cups \
  cups_conf_serverroot=%{buildroot}%{_sysconfdir}/cups

# manually install foomatic-db
# because make install cannot install them correctly (as of version 4.2.4).
%__mkdir_p %{buildroot}%{foomatic_db_dir}/{driver,opt,printer}
(
  cd src/foomatic/foomatic-db
  for dir in gimp-print gimp-print-ijs; do
    %{_sbindir}/foomatic-kitload -k $dir -d %{buildroot}
  done
)

# remove
rm -f %{buildroot}/usr/share/info/dir
rm -f %{buildroot}/usr/share/foomatic/kitload.log

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/gimpprint.info %{_infodir}/dir

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gimpprint.info %{_infodir}/dir
fi

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (4.2.5-5m)
- revised spec for enabling rpm 4.2.

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (4.2.5-4m)
- pretty spec file.

* Tue Jul 22 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (4.2.5-4m)
- %define foomatic_db_dir /usr/share/foomatic/db/source

* Fri Mar 21 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (4.2.5-3m)
- support cups. if %%with_cups is set to 1 (default),
  sub package "cups" is made.

* Tue Mar 11 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (4.2.5-2m)
- do not run "make install" in plugin directory.
  (thanks Masahiro Nishiyama [Momonga-devel.ja:01449])

* Mon Feb 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (4.2.5-1m)
- update to 4.2.5
- s/telia//

* Sat Jan  4 2003 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (4.2.4-4m)
- install foomatic-db

* Sun Dec 22 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (4.2.4-3m)
- move ijsgimpprint to main package
- make %{_datadir}/gimp-print be %%docdir

* Fri Dec 20 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (4.2.4-2m)
- require ijs instead of ghostscript
- add --with-ijs to configure
- add BuildRequires: ncurses-devel, readline-devel

* Tue Dec 17 2002 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.4-1m)

* Thu Jun  6 2002 Shingo Akagaki <dora@kondara.org>
- (4.2.1-2k)
- create

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*
%{_bindir}/ijsgimpprint
%{_infodir}/gimpprint*
%docdir %{_datadir}/gimp-print
%{_datadir}/gimp-print
%{_datadir}/locale/*/*/*
%dir %{foomatic_db_dir}
%dir %{foomatic_db_dir}/*
%{foomatic_db_dir}/*/*
%{_mandir}/man1/ijsgimpprint.1*
%{_mandir}/man7/*

%files utils
%defattr(-,root,root)
%{_bindir}/escputil
%{_mandir}/man1/escputil.1*

%files devel
%defattr(-,root,root)
%{_bindir}/gimpprint-config
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_mandir}/man1/gimpprint-config.1*
%{_mandir}/man3/*
%{_datadir}/aclocal/gimpprint.m4
%{_includedir}/*

%if %{with_cups}
%files cups
%defattr(-,root,root)
%{_sysconfdir}/cups/command.types
%{_bindir}/cups-calibrate
%dir %{_libdir}/cups
%dir %{_libdir}/cups/*
%{_libdir}/cups/*/*
%{_datadir}/cups/*.ppm
%dir %{_datadir}/cups/model
%dir %{_datadir}/cups/model/*
%{_datadir}/cups/model/*/*
%{_mandir}/man8/cups-calibrate.8.bz2
%endif
